> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prequel.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create recipient

> Add a new recipient.



## OpenAPI

````yaml /generated/openapi-generated-2023-12-01.json post /recipients
openapi: 3.1.0
info:
  title: Prequel Data Export
  description: Data Export API spec
  version: '2023-12-01'
servers:
  - url: https://api.prequel.co
    description: Cloud-hosted server (US)
  - url: https://eu-api.prequel.co
    description: Cloud-hosted server (EU)
  - url: https://{custom_host}/
    description: Cloud-prem or shared-cloud server
security:
  - ApiKeyAuth: []
paths:
  /recipients:
    post:
      tags:
        - Recipients
      summary: Create recipient
      description: Add a new recipient.
      operationId: create-recipient
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRecipientRequest'
              $schema: https://json-schema.org/draft/2020-12/schema
              $id: >-
                https://github.com/prequel-co/datafeed/internal/export/api/models/create-recipient-request
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    const: success
                  data:
                    $ref: '#/components/schemas/GetRecipientResponse'
                    $schema: https://json-schema.org/draft/2020-12/schema
                    $id: >-
                      https://github.com/prequel-co/datafeed/internal/export/api/models/get-recipient-response
                  message:
                    type: string
                type: object
                required:
                  - status
                  - data
                  - message
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateRecipientRequest:
      properties:
        recipient:
          $ref: '#/components/schemas/RecipientOptions'
      additionalProperties: false
      type: object
      required:
        - recipient
    GetRecipientResponse:
      properties:
        recipient:
          $ref: '#/components/schemas/RecipientResource'
      additionalProperties: false
      type: object
      required:
        - recipient
    RecipientOptions:
      properties:
        name:
          type: string
          description: The name of the recipient.
        id_in_provider_system:
          type: string
          description: The ID used in source system for the recipient.
        products:
          items:
            type: string
          type: array
          minItems: 1
          description: The products that the recipient has assigned.
        default_full_refresh_min_start_time_epoch:
          type: integer
          description: >-
            Default minimum Unix epoch timestamp (in seconds) for full refresh
            transfers. When set: full refresh transfers will only include rows
            with a last_updated_at value greater than or equal to this epoch.
      additionalProperties: false
      type: object
      required:
        - name
        - id_in_provider_system
        - products
    RecipientResource:
      properties:
        id:
          type: string
          description: The unique identifier for the recipient.
        name:
          type: string
          description: The name of the recipient.
        products:
          items:
            type: string
          type: array
          description: The products that the recipient has assigned.
        id_in_provider_system:
          type: string
          description: The ID used in source system for the recipient.
        default_full_refresh_min_start_time_epoch:
          type: integer
          description: >-
            Default minimum Unix epoch timestamp (in seconds) for full refresh
            transfers. When set: full refresh transfers will only include rows
            with a last_updated_at value greater than or equal to this epoch.
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      additionalProperties: false
      type: object
      required:
        - id
        - name
        - products
        - id_in_provider_system
    ErrorResponse:
      properties:
        status:
          type: string
          const: error
        message:
          type: string
        data:
          type: 'null'
      type: object
      required:
        - status
        - message
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````